BuildArch:     noarch
Name:          obl-release
Version:       1.0.0
Release:       0.1
Source0:        obl-el.repo
Source1:        obl-fc.repo
License:       MIT
Group:         System Environment/Base
Summary:       Obl repository configuration
%description
This package contains the OBL repository
GPG key as well as configuration for yum.
%prep
echo "Nothing to unpack"
%build
echo "Nothing to build"

%install
rm -rf $RPM_BUILD_ROOT

# Create dirs
%{__install} -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
#%{__install} -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg

%if 0%{?rhel} == 7 || 0%{?el7} == 1
%{__install} -p -m644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/obl-el.repo
%endif
%if 0%{?fedora} >= 31
%{__install} -p -m644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/obl-fc.repo
%endif
#%{__install} -p -m644 etc/pki/rpm-gpg/OBL-GPG-SIGNING-KEY \
#    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/OBL-GPG-SIGNING-KEY

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config %{_sysconfdir}/yum.repos.d/*
#%{_sysconfdir}/pki/rpm-gpg/*

%changelog

